summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-28 03:04:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-28 03:04:35 -0500
commitd078a6bb97ca56a274a131a62e0cfe7d85c4452d (patch)
tree38c255c32061625c0571d97fd03e4f43841ed790 /dev-python
parentdbf15142aca3e92e37842426ab912aa798fec3d3 (diff)
downloadbaldeagleos-repo-d078a6bb97ca56a274a131a62e0cfe7d85c4452d.tar.gz
baldeagleos-repo-d078a6bb97ca56a274a131a62e0cfe7d85c4452d.tar.xz
baldeagleos-repo-d078a6bb97ca56a274a131a62e0cfe7d85c4452d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/asyncssh/Manifest1
-rw-r--r--dev-python/asyncssh/asyncssh-2.24.0.ebuild50
-rw-r--r--dev-python/libtmux/Manifest2
-rw-r--r--dev-python/libtmux/libtmux-0.59.0.ebuild40
-rw-r--r--dev-python/pulsectl-asyncio/Manifest1
-rw-r--r--dev-python/pulsectl-asyncio/pulsectl-asyncio-1.3.2.ebuild42
-rw-r--r--dev-python/tibs/Manifest1
-rw-r--r--dev-python/tibs/tibs-0.11.0.ebuild121
-rw-r--r--dev-python/xxhash/Manifest2
-rw-r--r--dev-python/xxhash/xxhash-3.8.0.ebuild39
10 files changed, 299 insertions, 0 deletions
diff --git a/dev-python/asyncssh/Manifest b/dev-python/asyncssh/Manifest
index 39d9c1d93f2a..b550f9fd56f1 100644
--- a/dev-python/asyncssh/Manifest
+++ b/dev-python/asyncssh/Manifest
@@ -1,3 +1,4 @@
DIST asyncssh-2.22.0.tar.gz 540523 BLAKE2B 250253711d7a4bfda448f63888f6665d7af8ffc27c1da7389dbd996b64c028d3c0b5a0baa3f5d6e04294857cf5a8ff6b3d4a6d5c5e3a46094ddfde7f59ac4205 SHA512 30340dbfa0db60071458ce51f24d972760b3284ed7bc10613546eddb39cb191076e02c0f1405d9f2f74bed8d5102f182d5e7e8264ad0c46b10e536cd80819da6
DIST asyncssh-2.23.0.tar.gz 542154 BLAKE2B 8754476a48209e37841594373b4cf9be2f8adab529200893bf79a7fb8d7b25925a32627a0bdbd0314f2a15d2513668565a750aacfeae0c1032674b0186321769 SHA512 473404e08a4f77a35ce7cd5722d046f0e6b06f87a77a44050b1abfa0a971360c9775d9ec44493de1a4b4ad4bc729d59ffb2bdf6e17390620ad9e121317c2ca2a
DIST asyncssh-2.23.1.tar.gz 542883 BLAKE2B 37233c585fa4471e3d8cc72034ae2ada556c25e6e0ae5400783508d9d28bbb40d7c110ce3a50a1b6d5a576b2ba96093b9c444f96179394360d54488b015b7a5b SHA512 26e25ba1bc4cbed9ae11ed10e83cc3e10421f36dce4202d1e7f89bd23ba86d41c3dec7d9e15f2e6d733da84fa748e626eba4f43b5e1f17ec496bc9cbc879ee16
+DIST asyncssh-2.24.0.tar.gz 550148 BLAKE2B 0de977886f89626f272f7d1d267355add9f92554375e6dec18e7ba012f5f5d2105b4fe04cf1c9287acc5ec50a04ecda8a82f11f29e1318d06c4de2ed9647d7b3 SHA512 f8504dc52945424da34812e2a08b9d6d00f69a2d30f55ec25df4e41b31419a368852f3124a885e62012520b255838599101b32ae7a8ed4abd5d926ce1c6ca72b
diff --git a/dev-python/asyncssh/asyncssh-2.24.0.ebuild b/dev-python/asyncssh/asyncssh-2.24.0.ebuild
new file mode 100644
index 000000000000..eb9fde3e27bc
--- /dev/null
+++ b/dev-python/asyncssh/asyncssh-2.24.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Asynchronous SSHv2 client and server library"
+HOMEPAGE="
+ https://github.com/ronf/asyncssh/
+ https://pypi.org/project/asyncssh/
+"
+
+LICENSE="|| ( EPL-2.0 GPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~s390 ~sparc ~x86"
+
+RDEPEND="
+ virtual/openssh
+ >=dev-python/cryptography-48.0.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiofiles[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+ >=dev-python/gssapi-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ifaddr-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-23.0.0[${PYTHON_USEDEP}]
+ amd64? (
+ >=dev-python/fido2-2[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+EPYTEST_PLUGINS=()
+# xdist: fails on serializing 'type'
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+pkg_postinst() {
+ optfeature "OpenSSH private key encryption support" ">=dev-python/bcrypt-3.1.3"
+ optfeature "key exchange and authentication with U2F/FIDO2 security keys support" ">=dev-python/fido2-2"
+ optfeature "GSSAPI key exchange and authentication support" ">=dev-python/gssapi-1.2.0"
+ optfeature "using asyncssh with dev-libs/libsodium" "dev-python/libnacl"
+ optfeature "X.509 certificate authentication support" ">=dev-python/pyopenssl-23.0.0"
+}
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index c706ed5c4792..d9ace2e02a4a 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -17,3 +17,5 @@ DIST libtmux-0.58.0.tar.gz 522080 BLAKE2B f1d6b4394ddd178bc5e5ff7e15d18a8a18747e
DIST libtmux-0.58.0.tar.gz.provenance 9331 BLAKE2B fae88b36a504d4e78ece5eb3725401eaa5ab22ac95ad7f77fc84abae6cf099476701ffe658b6662696ddb6109fc7a57e62a130c8dd7f3f93098ed6bcb9d43dbf SHA512 90c590dbc1bdcf9cf13b456ba511cd962e28dd0f1a815ce9961df5f9febf61b0f9c096d8a8ff910182032e2f3968af149334faf28898c6d0c279f1ada9576bc6
DIST libtmux-0.58.1.tar.gz 519541 BLAKE2B 89d3874297f9a6c7d969de3130d24315f166421a1830122ae63a59d85023b306af22b0832b3b1740131fb6d83d0ab5f77b669b226b87d70fef1d0a748e221af3 SHA512 bda40a1705d417b63cb957e8f4ef9892ad6880ec88a86fe50e69f480ee5b9a8ed39d64daaae8a6988a7a1fab818c78c2751764f97910c4e0e8ced0aef2fa395e
DIST libtmux-0.58.1.tar.gz.provenance 9630 BLAKE2B 9381eb6327b4b2f1c16052b5aba261501e44abdc19b91658d4704547aa2ca9a3d9ed9f7e064c24209a5d8c4ce0cd3b90fbe84e6e8053e884a2b80450991e4ccd SHA512 c7e96448de46703c12d86c17cb3a5dfaa058775837a0cf0c9ed587ac53d6ec050f5ffedc81132db144525f1effdd1d5636a230c69aecb965229c91e03172b0fb
+DIST libtmux-0.59.0.tar.gz 518313 BLAKE2B a8c894b57324804701189ea984cb7dee895b3aa3eb6c672b18ab68a16aab1839254177819e5074c4c8aae83cb41f52763aa3ff65ec84fa1de22e2b520f179faf SHA512 c4ccf7766cf72dc38f7f4134872891dc1cd625fe03de8e759bfd6718214bff8ae9f92f4dc5d4da38d545bdd4910b82ae31867d5745ec5b67aad818e52723ad5f
+DIST libtmux-0.59.0.tar.gz.provenance 9814 BLAKE2B e00d68c985d8b21f980cfab1d7ea2911c2e95df103c353f32151f451248eaeb7aa7edf243ec8072200d434c64ea4098ac741aafb60212277c27804f6b4158d98 SHA512 aa3a200b9936b703ab14badc673fc6f668d063f21feff348a3f996a8f8f9d614b9bbc3abf13887402eb4363b6a48628b3cb128c8c20793706d0ccc2f41604c50
diff --git a/dev-python/libtmux/libtmux-0.59.0.ebuild b/dev-python/libtmux/libtmux-0.59.0.ebuild
new file mode 100644
index 000000000000..a85d2d5eaa37
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.59.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tmux-python/libtmux
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typed library that provides an ORM wrapper for tmux, a terminal multiplexer"
+HOMEPAGE="
+ https://libtmux.git-pull.com/
+ https://github.com/tmux-python/libtmux/
+ https://pypi.org/project/libtmux/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-mock )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+python_test() {
+ # Avoid stale /tmp/tmux-$(id -u) confusing things (bug #896406)
+ local -x TMUX_TMPDIR=$(mktemp --directory --tmpdir=/tmp libtmux.XXXXXXXXXX)
+ # tests/test_window.py::test_fresh_window_data fails if TMUX_PANE is set
+ # https://bugs.gentoo.org/927158
+ local -x TMUX_PANE=
+
+ epytest -o addopts= tests
+}
diff --git a/dev-python/pulsectl-asyncio/Manifest b/dev-python/pulsectl-asyncio/Manifest
index de243e8dc60f..bfe540cacc8e 100644
--- a/dev-python/pulsectl-asyncio/Manifest
+++ b/dev-python/pulsectl-asyncio/Manifest
@@ -1,3 +1,4 @@
DIST pulsectl-asyncio-1.2.2.gh.tar.gz 19528 BLAKE2B 8b4ccf8a1509fddff19cf201dc9ff4cbf03aedc2ab47c6f4920f95072706051a0a9ab3704e4a4650be8ebce67682bff28d8dacdfac272c36019810eea358f01f SHA512 ccaa7ae14fd2ca7e9d6483efcb3d48f8364ed87ab99c700323c2f2d803986408394ae0fe83880d4d77b77daf17dfb58c6e9f94043a9b03ad643bff2e909a673a
DIST pulsectl-asyncio-1.3.0.gh.tar.gz 19393 BLAKE2B ebd07bb9335f3eb15a4dbe86f1c7cf5a357fd1354145a955adc1f74ebc813b697fd1033da3332b91d52ac4409dc3cdaf62ad2655e3c654fd639cf4f75eefbae6 SHA512 7f8997c855ca7f9b011950d471d37c3e45c011902c38bb094045e30056f5e21a19a1f423d8d3a3682e03dbb20318c877be6973ac7edeb35f8aed6fe7e49047df
DIST pulsectl-asyncio-1.3.1.gh.tar.gz 19460 BLAKE2B f0b9f91da906a61ee6bb4f90afbd20cee4ca35330ce73d0787861dee7041ad0e27ef29a324e2dab2f1de9e5918eb81c7898b1cf319eb378d77cbd5c516026994 SHA512 9cb05612f150f6b041d41c0e9deb8d97680fbf2bc2fadc790d670b3801b23cc3f556fd73d5d62c0f9071a1d3cfdafe6a505301171dda512e7ba2162a52b96045
+DIST pulsectl-asyncio-1.3.2.gh.tar.gz 19456 BLAKE2B 4abeb86fd4b4e79b90e5672d578b27312b8f0306f93fd0591bbeee22fdab7e830a4558fdb6eb5cad7d293fe060e72669b9e8669316b76c73d4a9ef134211c2b6 SHA512 ffc553f855b7c9946f7a45f93d42db5b70adb1a64018b36352750cc942640129be030c97960ee9dc503127014bdeda4c56d4a5a55258a1b20391013efc5ebb57
diff --git a/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.3.2.ebuild b/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.3.2.ebuild
new file mode 100644
index 000000000000..860363af38fa
--- /dev/null
+++ b/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.3.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Asyncio frontend for pulsectl, Python bindings of libpulse"
+HOMEPAGE="
+ https://github.com/mhthies/pulsectl-asyncio/
+ https://pypi.org/project/pulsectl-asyncio/
+"
+# sdist is missing examples that are used in tests
+SRC_URI="
+ https://github.com/mhthies/pulsectl-asyncio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pulsectl-23.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ media-sound/pulseaudio-daemon
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:,<=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/tibs/Manifest b/dev-python/tibs/Manifest
index dc7905e50b59..247cd1e6ea61 100644
--- a/dev-python/tibs/Manifest
+++ b/dev-python/tibs/Manifest
@@ -74,6 +74,7 @@ DIST syn-2.0.117.crate 306011 BLAKE2B bbaec02c4322f522bdfc87caa4ce6fd1e09bbf8f4a
DIST tap-1.0.1.crate 11316 BLAKE2B 60786fd5f12c2f06097330c26809fdcfce62716586d2e1985f8c01406d356ed0ab730a04dfe72ee3e1d6208a53c76c66883d45a76130750b41ba5b82aa721b83 SHA512 d69ff11a46e2fbc276212511878f48eb93640c0b147df6578ea057b23625f9366a7fc3926693fc3809688537af5ca919c91605beed364decf83c35a032310995
DIST target-lexicon-0.13.5.crate 26928 BLAKE2B f8c62cb91f68a635e6ce3fc254df9ce378b5e8f62c1147404c967484b9ed97fb33d7993b4671611db76566063e999d658d201f856f70196ec678d72cc758cf6d SHA512 956df27c01e1186c5356117ffd07810fc0b62fb919d5bfd215955ba85be00ef675212a3c0dc36679986be7b825442fec5c93c7643b7e1e19c04572e6463546fc
DIST tibs-0.10.0.tar.gz 1921924 BLAKE2B f4c99e9599cee3ba19462364051252a12a7ac16d559c9357c8a7af680ab4b054d7556393054edaf833c222674b554974211a6494dcb129f99e56e404c2a55ddb SHA512 4d9689790612a3939fa855684ec8ae86f1c86460860772516df2f099e1b341ba7d6e7af7b7b2e759d7daa5ee9ed3b1729dee429ef1bf8ff3b8843043957f1e1c
+DIST tibs-0.11.0.tar.gz 1930081 BLAKE2B 5a8f60767bf67f98d86ac72d6e079b69675f2feb5b335615d58090221bbde493c3fc9d6d2b7faa98b77b82e8a83e126d212cafaedbee719d6490d96668251961 SHA512 28b6af737198cecae38a985588f9ea14ad7763fa0f32475b4ee6654adf02bd7f042387ae0810e3d866fed7f3b93b2f1eb13f14a4a6b77891093c3f8532a34196
DIST tibs-0.9.0.tar.gz 1319803 BLAKE2B cbe8c40d97a06b41b931a745fa01b6f7f1af4e1afe5424e0a7479b483b0fb09ddecd586acff6a0665b9162b36c4f9624c8ea66ebb79bc07885a63093d0b5ff8b SHA512 1b08d6bafe998a7adbb470a345566cea9fb3d792bf39e1689681bd5672d9cb3b14e2ba98acb622b37afa9f8a7e4684a02425e9b1d6098d7912e0c494fc6723b1
DIST tibs-0.9.2.tar.gz 1320735 BLAKE2B 3f0c72c9f8ba947ac9bd351fcba48ad430590982c61881d31eb0ae48edc5502d3b97e931bb32662047d346f442e83b07f60b1673746a5af743d2742a3d79edc8 SHA512 fcb314ebac4416c8bfb36930d86678709e6b2e0cf2dd524ea6c45577252313f2fb4f3cbfe32375927ceb54b13257361cdbb2a0a18216fe089a3a3e34290d21c3
DIST typenum-1.19.0.crate 76414 BLAKE2B 8083988e0bf1d7927377112b8939607f32af098f198a2bfcc2c5302170d9f6e5b29cf02d3cab16c1ecd0fb9f0a45ea3c6bd4a4e4baaf2dfdf8f694093300deeb SHA512 09ebcd7a2cc11f422469cf4fe706f1988bcd81d628e2bab3f54ae82b0aa5486d03a4392187a3736c13dc0c2027053387f89ac656caff72f36365c8be38bc7ff4
diff --git a/dev-python/tibs/tibs-0.11.0.ebuild b/dev-python/tibs/tibs-0.11.0.ebuild
new file mode 100644
index 000000000000..03c596d77dea
--- /dev/null
+++ b/dev-python/tibs/tibs-0.11.0.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{13..14} )
+
+RUST_MIN_VER="1.87.0"
+CRATES="
+ allocator-api2@0.2.21
+ anyhow@1.0.102
+ bitflags@2.11.0
+ bitvec@1.0.1
+ block-buffer@0.12.0
+ bytemuck@1.25.0
+ cc@1.2.60
+ cfg-if@1.0.4
+ chacha20@0.10.0
+ const-oid@0.10.2
+ cpufeatures@0.3.0
+ crunchy@0.2.4
+ crypto-common@0.2.2
+ digest@0.11.3
+ equivalent@1.0.2
+ find-msvc-tools@0.1.9
+ foldhash@0.1.5
+ foldhash@0.2.0
+ funty@2.0.0
+ getrandom@0.3.4
+ getrandom@0.4.1
+ half@2.7.1
+ hashbrown@0.15.5
+ hashbrown@0.16.1
+ hashbrown@0.17.1
+ heck@0.5.0
+ hex@0.4.3
+ hybrid-array@0.4.12
+ id-arena@2.3.0
+ indexmap@2.13.0
+ itoa@1.0.17
+ jobserver@0.1.34
+ leb128fmt@0.1.0
+ libc@0.2.182
+ log@0.4.29
+ lru@0.18.0
+ memchr@2.8.1
+ once_cell@1.21.3
+ pkg-config@0.3.33
+ portable-atomic@1.13.1
+ prettyplease@0.2.37
+ proc-macro2@1.0.106
+ pyo3-build-config@0.29.0
+ pyo3-ffi@0.29.0
+ pyo3-macros-backend@0.29.0
+ pyo3-macros@0.29.0
+ pyo3@0.29.0
+ quote@1.0.44
+ r-efi@5.3.0
+ radium@0.7.0
+ rand@0.10.0
+ rand_core@0.10.0
+ semver@1.0.27
+ serde@1.0.228
+ serde_core@1.0.228
+ serde_derive@1.0.228
+ serde_json@1.0.149
+ sha2@0.11.0
+ shlex@1.3.0
+ syn@2.0.117
+ tap@1.0.1
+ target-lexicon@0.13.5
+ typenum@1.20.1
+ unicode-ident@1.0.24
+ unicode-xid@0.2.6
+ wasip2@1.0.2+wasi-0.2.9
+ wasip3@0.4.0+wasi-0.3.0-rc-2026-01-06
+ wasm-encoder@0.244.0
+ wasm-metadata@0.244.0
+ wasmparser@0.244.0
+ wit-bindgen-core@0.51.0
+ wit-bindgen-rust-macro@0.51.0
+ wit-bindgen-rust@0.51.0
+ wit-bindgen@0.51.0
+ wit-component@0.244.0
+ wit-parser@0.244.0
+ wyz@0.5.1
+ zerocopy-derive@0.8.40
+ zerocopy@0.8.40
+ zmij@1.0.21
+ zstd-safe@7.2.4
+ zstd-sys@2.0.16+zstd.1.5.7
+ zstd@0.13.3
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="A sleek Python library for your binary data"
+HOMEPAGE="
+ https://github.com/scott-griffiths/tibs/
+ https://pypi.org/project/tibs/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+EPYTEST_PLUGINS=( hypothesis )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ tests/test_benchmarks.py
+)
+
+QA_FLAGS_IGNORED="usr/lib/python3.*/site-packages/tibs/tibs.abi3.*"
diff --git a/dev-python/xxhash/Manifest b/dev-python/xxhash/Manifest
index 9feb08cf58b5..97f72005c1ce 100644
--- a/dev-python/xxhash/Manifest
+++ b/dev-python/xxhash/Manifest
@@ -2,3 +2,5 @@ DIST xxhash-3.7.0.tar.gz 82022 BLAKE2B 31baab7dd95534b2848b86a4b580d13a3511b8511
DIST xxhash-3.7.0.tar.gz.provenance 9474 BLAKE2B 1f78c242759aa4255d1d4f243a1eaa3c4ef1e8b0ee4c85d2ccad6775d5c6199edd915d0b5679d54c904c72eaa4a93e7df167433778f47983946a90b03b491123 SHA512 793f12343967fc81e259d98ac6c73cce9fd72e8318e21714e14e34935198aa9394fa1e36a9c6ca3ee9a525d5fd8eea50404989ffdc268897698da8893b874fc0
DIST xxhash-3.7.1.tar.gz 82993 BLAKE2B e90059f39f7a23d65f3f52b6b381a5e2d6e55e37fc95fb94f06d7ae5bc3d43ae8a56b70e674391f058bf426e7a46e9cfaaf7aed55486fe264f67c9462ebb24da SHA512 605688402db33aa98f45a3d8b7c2fcd24514f39327aa524fb305a086badd35f83a3f533e20d77157ccbb0f484b8c08dc10784b4b0ad100eb1e450f05ce3473c9
DIST xxhash-3.7.1.tar.gz.provenance 9804 BLAKE2B 7f779e0d5f36853f40373749fe9a1bdfea7a4545af365350d26db1562149c80d4a6ba68b40baa30e0e7d3e58276cd949745e1ffbcbb140fade41123f3fb27ae2 SHA512 a85dbf40d1511eb0905d7d0ce791dab6e129540f1fa11a28017cbc96f45be5327a63597cea1ff9771d497b86de81ea8274826e2d65cca605021b26b39eb2ddfb
+DIST xxhash-3.8.0.tar.gz 86107 BLAKE2B 66c2681c428390744234710de2c59e02a972dcd74f642c414322b1e07d82b20446eccb49cf715f464c25eaa3ac6778401f9f60f8322e58c76cd17bc1e05c9226 SHA512 4925cfb66d8fbf7ed37d2d5d7b7a785f7c33f8d123fe419c42b66bddaf43d3b6dc57f4f8b89b2754c7aba5dbe5e43aee1da3326eaef5528970a599571f033abb
+DIST xxhash-3.8.0.tar.gz.provenance 9788 BLAKE2B 0c038226c76d06b466d218dc02f161b7375220ccd91f71b4b3d9ffffa2e43db7d36f5c51964f30c5ad95d98ce873f9a6fc6b7fb4f6dcf2915988ced56843d830 SHA512 8f07dcbb373ccdc2a2fa6166e683cc474745dd6ce3ab1c068bbf34227fd7f886ca220cd33901e2142287cf83d9ec3c076dfe70fad29c4df7de7392783838ecb0
diff --git a/dev-python/xxhash/xxhash-3.8.0.ebuild b/dev-python/xxhash/xxhash-3.8.0.ebuild
new file mode 100644
index 000000000000..06f0885ea97d
--- /dev/null
+++ b/dev-python/xxhash/xxhash-3.8.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ifduyue/python-xxhash
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python binding for the xxHash library"
+HOMEPAGE="
+ https://github.com/ifduyue/python-xxhash/
+ https://pypi.org/project/xxhash/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=dev-libs/xxhash-0.8.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ export XXHASH_LINK_SO=1
+}
+
+python_test() {
+ cd tests || die
+ eunittest
+}